<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_VisaBookingInfo StructType
 * @subpackage Structs
 */
class JP_VisaBookingInfo extends AbstractStructBase
{
    /**
     * The PriceRange
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_PriceRange
     */
    public $PriceRange;
    /**
     * The FlightInfoOrigin
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_FlightInfoService
     */
    public $FlightInfoOrigin;
    /**
     * The FlightInfoDestination
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_FlightInfoService
     */
    public $FlightInfoDestination;
    /**
     * The MeetingPointInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_MeetingPointInfo
     */
    public $MeetingPointInfo;
    /**
     * The Language
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_Language
     */
    public $Language;
    /**
     * Constructor method for JP_VisaBookingInfo
     * @uses JP_VisaBookingInfo::setPriceRange()
     * @uses JP_VisaBookingInfo::setFlightInfoOrigin()
     * @uses JP_VisaBookingInfo::setFlightInfoDestination()
     * @uses JP_VisaBookingInfo::setMeetingPointInfo()
     * @uses JP_VisaBookingInfo::setLanguage()
     * @param \StructType\JP_PriceRange $priceRange
     * @param \StructType\JP_FlightInfoService $flightInfoOrigin
     * @param \StructType\JP_FlightInfoService $flightInfoDestination
     * @param \StructType\JP_MeetingPointInfo $meetingPointInfo
     * @param \StructType\JP_Language $language
     */
    public function __construct(\StructType\JP_PriceRange $priceRange = null, \StructType\JP_FlightInfoService $flightInfoOrigin = null, \StructType\JP_FlightInfoService $flightInfoDestination = null, \StructType\JP_MeetingPointInfo $meetingPointInfo = null, \StructType\JP_Language $language = null)
    {
        $this
            ->setPriceRange($priceRange)
            ->setFlightInfoOrigin($flightInfoOrigin)
            ->setFlightInfoDestination($flightInfoDestination)
            ->setMeetingPointInfo($meetingPointInfo)
            ->setLanguage($language);
    }
    /**
     * Get PriceRange value
     * @return \StructType\JP_PriceRange|null
     */
    public function getPriceRange()
    {
        return $this->PriceRange;
    }
    /**
     * Set PriceRange value
     * @param \StructType\JP_PriceRange $priceRange
     * @return \StructType\JP_VisaBookingInfo
     */
    public function setPriceRange(\StructType\JP_PriceRange $priceRange = null)
    {
        $this->PriceRange = $priceRange;
        return $this;
    }
    /**
     * Get FlightInfoOrigin value
     * @return \StructType\JP_FlightInfoService|null
     */
    public function getFlightInfoOrigin()
    {
        return $this->FlightInfoOrigin;
    }
    /**
     * Set FlightInfoOrigin value
     * @param \StructType\JP_FlightInfoService $flightInfoOrigin
     * @return \StructType\JP_VisaBookingInfo
     */
    public function setFlightInfoOrigin(\StructType\JP_FlightInfoService $flightInfoOrigin = null)
    {
        $this->FlightInfoOrigin = $flightInfoOrigin;
        return $this;
    }
    /**
     * Get FlightInfoDestination value
     * @return \StructType\JP_FlightInfoService|null
     */
    public function getFlightInfoDestination()
    {
        return $this->FlightInfoDestination;
    }
    /**
     * Set FlightInfoDestination value
     * @param \StructType\JP_FlightInfoService $flightInfoDestination
     * @return \StructType\JP_VisaBookingInfo
     */
    public function setFlightInfoDestination(\StructType\JP_FlightInfoService $flightInfoDestination = null)
    {
        $this->FlightInfoDestination = $flightInfoDestination;
        return $this;
    }
    /**
     * Get MeetingPointInfo value
     * @return \StructType\JP_MeetingPointInfo|null
     */
    public function getMeetingPointInfo()
    {
        return $this->MeetingPointInfo;
    }
    /**
     * Set MeetingPointInfo value
     * @param \StructType\JP_MeetingPointInfo $meetingPointInfo
     * @return \StructType\JP_VisaBookingInfo
     */
    public function setMeetingPointInfo(\StructType\JP_MeetingPointInfo $meetingPointInfo = null)
    {
        $this->MeetingPointInfo = $meetingPointInfo;
        return $this;
    }
    /**
     * Get Language value
     * @return \StructType\JP_Language|null
     */
    public function getLanguage()
    {
        return $this->Language;
    }
    /**
     * Set Language value
     * @param \StructType\JP_Language $language
     * @return \StructType\JP_VisaBookingInfo
     */
    public function setLanguage(\StructType\JP_Language $language = null)
    {
        $this->Language = $language;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_VisaBookingInfo
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
